cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Not a customer? Start a free trial

Click the Start a free trial link to start a 15-day SaaS trial of our product and join our community as a trial user. If you are an existing customer do not start a free trial.

AppDynamics customers and established members should click the sign in button to authenticate.

Knowledge Base

How do I get started with upgrading .NET Agents?

Release Upgrade Checklist for .NET Agents

 

To make sure you complete all the tasks necessary for upgrading .NET Agents after a release, we recommend following the upgrade checklist instructions below. 

 

NOTE: The information in this article is not release-specific. You can reference it for any release

 

Table of Contents

 

Prepare to upgrade your .NET Agents

 

Plan your .NET Agent upgrade

  • Please note that the .NET agent can reference either the .NET Agent or the .NET Microservices Agent—each a distinct agent with its own use and installation process. 

    .NET Agent

    Use: Monitors IIS applications Windows services

    Prerequisites: See Supported Controller Versions/.NET Agent compatibility matrix below 

    Installation: See the install document for installation procedure

    Microservices Agent

    Use: For applications created with .NET core

    Prerequisites: See .NET Microservices Agent documentation

    Installation: Download the NuGET package

 

  • Review the Agent/Controller compatibility matrix for compatibility mappings between agents and Controller versions.
    Supported
    Controller Versions
    v4.3 v4.4 v4.5 v20.3 - future releases
    .NET Agents
    4.x - 4.3 4.4.1 - 20.x (1) 4.5 - 20.x (1)  4.4 - 20.x (1)(2)

    (1) Controller version supports through the most recent released Agent version

    (2) Controller version does not support Agent version 4.1

     

    Starting in release 4.5, .NET agents are automatically backward-compatible with any 4.4.1+ Controller, so you can upgrade your agent while retaining your 4.4.1+ Controller.

NOTE: If your Controller is older than 4.4.1, you must upgrade it before upgrading your .NET agent.

 

Troubleshooting

If the agent installation fails, it may be due to configurations in your environment. Follow the Troubleshoot for .NET Agent Issues to address installation issues. 

 

If necessary, uninstall the new version and reinstall the older version.

 

Additional Resources

Instructions for upgrading other AppDynamics components are available in our general How do I get started with upgrading AppDynamics components for any release? article.

Version history
Last update:
‎12-18-2020 12:13 AM
Updated by:
Labels (1)


Found this article helpful? Click the Thumbs Up button.
Have an additional comment? Post it below.
By replying you agree to the Terms and Conditions of the AppDynamics Community.
0 Kudos
Comments

Thanks 

Sure thing,  @Jagadeesh.Kalepalli— so glad it's helpful. 
Be sure and let us know how it works out for you!

 

Claudia Landivar

Community Manager & Editor